#! /bin/env python
import fsattr
import sys
import os

def type2str( t ):
	s = chr( ( t & 0xff000000 ) >> 24 )
	s = s + chr( ( t & 0x00ff0000 ) >> 16 )
	s = s + chr( ( t & 0x0000ff00 ) >> 8 )
	s = s + chr( t & 0x000000ff )
	return s

# Dump attributes for any files named on the command-line.
for file in sys.argv[1:]:
	attrs = fsattr.read_attrs( file )
	for a in attrs.keys():
		print a, type2str( attrs[a][0] ), attrs[a][1]

# Nuke and create our test file.
try:
	os.unlink( "test-attrs" )
except:
	pass

fp = open( "test-attrs", "w" )
fp.write( "hello world... look at my attributes.\n" )
fp.close()

# These should be the same.
fsattr.write_attr( "test-attrs", "test:string_big", fsattr.B_STRING_TYPE,
				   "hello world", fsattr.ATTR_BIG_ENDIAN )
fsattr.write_attr( "test-attrs", "test:string_little", fsattr.B_STRING_TYPE, 
				   "hello world", fsattr.ATTR_LITTLE_ENDIAN )

# These should be different.
fsattr.write_attr( "test-attrs", "test:int32_big", fsattr.B_INT32_TYPE,
				   0xdeadbeef, fsattr.ATTR_BIG_ENDIAN )
fsattr.write_attr( "test-attrs", "test:int32_little", fsattr.B_INT32_TYPE,
				   0xdeadbeef, fsattr.ATTR_LITTLE_ENDIAN )
